Create Wallet
curl --request POST \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Create Wallet
Endpoint to create a wallet for a vendor.
There is a limit of 3 Wallets per vendor.
POST
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
wallets
Create Wallet
Autorizaciones
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parámetros de ruta
The External ID of the Vendor to retrieve.
Minimum string length:
1Cuerpo
application/json
Name of the wallet
Required string length:
1 - 32Respuesta
Successful Response
¿Esta página le ayudó?
⌘I